=== modified file 'doc/developers/releasing.txt'
--- doc/developers/releasing.txt	2011-10-06 11:28:16 +0000
+++ doc/developers/releasing.txt	2011-11-10 16:26:22 +0000
@@ -268,7 +268,7 @@
 
 #. For beta releases update the translation template::
 
-     make -f po/bzr.pot
+     BZR_PLUGIN_PATH=-site make po/bzr.pot
 
    This is especially important for the final beta release which is
    when translations are frozen and translators are requested to make
@@ -362,6 +362,10 @@
      bzr push
      bzr pqm-submit -m "(vila) Release 2.3.1 (Vincent Ladeuil)"
 
+   Note that ``bzr push`` should mention updating one tag (which you just
+   created). If it doesn't, double-check that you created (and pushed) this
+   tag.
+
    Or with hydrazine::
 
      bzr lp-propose -m "Release 1.14" --approve lp:bzr/1.14
@@ -494,8 +498,9 @@
 Announcing the source freeze
 ----------------------------
 
-#. Post to the ``bazaar@lists.canonical.com`` list, saying that the source
-   has been frozen (gone gold). Be extra clear that this is only a *source*
+#. Post to the ``bazaar@lists.canonical.com`` and
+   ``bzr-packagers@list.launchpad.net`` lists, saying that the source has
+   been frozen (gone gold). Be extra clear that this is only a *source*
    release targeted at packagers and installer builders (see
    <https://bugs.launchpad.net/launchpad/+bug/645084>).  This is the cue for
    platform maintainers and plugin authors to update their code.  This is
@@ -577,10 +582,10 @@
 
 #. Make an announcement through <https://launchpad.net/bzr/+announce>
 
-#. Announce on http://freshmeat.net/projects/bzr/
+#. Announce on http://freecode.com/projects/bazaar-vcs
 
    This should be done for beta releases and stable releases. If you do not
-   have a Freshmeat account yet, ask one of the existing admins.
+   have a Freecode account yet, ask one of the existing admins.
 
    The purpose here is to point users to the latest stable release
    (i.e. SRUs are excluded) while still publishing announcements for beta

